Skip to main content
`Ctrl`+`K`

# MatOrderingRegisterAll

Registers all of the matrix reordering routines in PETSc.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatOrderingRegisterAll(void)

Not Collective

## Notes

To add a new method to the registry. Copy this routine and modify it to incorporate a call to `MatReorderRegister()` for the new method, after the current list.

To prevent all of the methods from being registered and thus save memory, copy this routine and comment out those orderigs you do not wish to include. Make sure that the replacement routine is linked before libpetscmat.a.

## See Also

`MatOrderingType`, `MatOrderingRegister()`

## Level

developer

## Location

src/mat/graphops/order/sregis.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages